
SMODS.Joker{ --Ex-Aid
    key = "exaid",
    config = {
        extra = {
            chipmult = 1.5
        }
    },
    loc_txt = {
        ['name'] = 'Ex-Aid',
        ['text'] = {
            [1] = '{X:red,C:white}X#1#{} Chips. Decreases by {X:red,C:white}x0.1{}',
            [2] = 'every time shop is rerolled.'
        },
        ['unlock'] = {
            [1] = 'Unlocked by default.'
        }
    },
    pos = {
        x = 3,
        y = 3
    },
    display_size = {
        w = 71 * 1, 
        h = 95 * 1
    },
    cost = 4,
    rarity = 1,
    blueprint_compat = true,
    eternal_compat = true,
    perishable_compat = true,
    unlocked = true,
    discovered = true,
    atlas = 'CustomJokers',
    pools = { ["kamenrider_kamenrider_jokers"] = true },
    
    loc_vars = function(self, info_queue, card)
        
        return {vars = {card.ability.extra.chipmult}}
    end,
    
    calculate = function(self, card, context)
        if context.cardarea == G.jokers and context.joker_main  then
            return {
                x_chips = card.ability.extra.chipmult
            }
        end
        if context.reroll_shop  then
            return {
                func = function()
                    card.ability.extra.chipmult = math.max(0, (card.ability.extra.chipmult) - 0.1)
                    return true
                end
            }
        end
    end
}